#ifndef WINSYSTEM_SINGLETONS_H
#define WINSYSTEM_SINGLETONS_H

#include "system/keyboard.h"
#include "system/mouse.h"
#include "system/display.h"
#include "timer.h"
#include "system.h"
#include "dialog.h"

extern WinScreenSaverSystem winSsSys;
extern KeyboardHandler winKbd;
extern MouseHandler winMouse;
extern Display winDisp;
extern WinHiResTimer winTimer;
extern WinDialog winDialog;

void sysBindSingletons();

#endif	//WINSYSTEM_SINGLETONS_H

